## libkdcraw-trinity 14.1.0

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 3.1 )


#### general package setup

project( libkdcraw )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFileCXX    )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### set version number ########################

tde_set_project_version( )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )
option( WITH_LCMS           "Enable lcms support"                               ${WITH_ALL_OPTIONS} )
option( WITH_OPENMP         "Enable OpenMP support"                             ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_KDCRAW       "Build kdcraw program" OFF )
option( BUILD_TESTS        "Build test programs"  OFF )
option( BUILD_TRANSLATIONS "Build translations"   ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( ${PROJECT_NAME} )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== libkdcraw/dcraw/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LCMS_INCLUDE_DIRS}
  ${JPEG_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### kdcraw (executable)

tde_add_executable( kdcraw

  SOURCES
        dcraw.c
  LINK
     ${LCMS_LIBRARIES}
     ${JPEG_LIBRARIES}
     ${MATH_LIBC}

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

INSTALL(
    FILES kdcraw.1
    DESTINATION ${MAN_INSTALL_DIR}/man1
    COMPONENT doc
)

## libkdcraw-trinity 3.5.13.2

=== debian/changelog ===
libkdcraw-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 03 Jun 2013 13:24:42 +0200

libkdcraw-trinity (0.1.9-0ubuntu1) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

libkdcraw-trinity (0.1.4-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 05 March 2009 01:11:00 -0600

libkdcraw-trinity (0.1.4-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Wed, 17 Dec 2008 15:41:00 -0600

libkdcraw (0.1.4-2ubuntu1) intrepid; urgency=low

  * Rename libkdcraw-dev to libkdcraw3-dev (new libkdcraw-dev is
    KDE 4 version).

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 11 Sep 2008 13:38:38 +0100

libkdcraw (0.1.4-2) unstable; urgency=low

  [ Achim Bohnet ]
  * Don't install translation and icon.  Their path or filename should
    include API major version.  We working with upstream on solution
    for the next release.
  * debian/copyright: replace the last 'Copyright (C)' with (C).

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 16 Mar 2008 15:24:00 +0100

libkdcraw (0.1.4-1) unstable; urgency=low

  * New upstream release:
    + new API breaks backward compatibility
    + updates dcraw to 8.83

  [ Achim Bohnet ]
  * Adapt for API major 2 -> 3: debian/control debian/libkdcraw3.install
  * Update debian/copyright
  * Bump standards version 3.7.2 -> 3.7.3: No changes necessary

  [ Fathi Boudra ]
  * Add myself in Uploaders
  * Switch to quilt patch system
  * Install kdcraw icons and libkdcraw translations
  * Clean up debian/rules:
    * Drop autotools.mk include
    * Drop -fpermissive flag

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 16 Mar 2008 14:05:34 +0100

libkdcraw (0.1.3-1) unstable; urgency=low

  * New upstream release

  [ Achim Bohnet ]
  * debian/copyright:
    + new, again DSFG compliant, dcwraw license.
    + upstream authors.
  * debian/control:
    + use Vcs-* instead of XS-Vcs-* as Vcs-* are now official.
    + add the new Homepage header field. Remove homepage URL from long
      the description.
  * debian/rules: use LDFLAGS="-Wl,--no-undefined -Wl,--as-needed" to
      reference only to libs that are really needed. Dependency count
      drops from 25 to 6.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 29 Dec 2007 23:31:02 +0100

libkdcraw (0.1.2-1) unstable; urgency=low

  * New upstream release
  * Bump soname to package libkdcraw2

 -- Mark Purcell <msp@debian.org>  Fri, 28 Sep 2007 17:47:35 +0100

libkdcraw (0.1.1-2) unstable; urgency=low

  [ Achim Bohnet ]
  * relibtoolize libkdcraw: Depends now  on 7 packages instead of 25.
    Add simple-patchsys.mk to debian/rules to apply the patches:
      patches/03_libtool_update.diff
      patches/04_am_maintainer_mode.diff
      patches/05_pedantic-errors.diff
      patches/98_buildprep.diff
      patches/98_configure.diff: makes $LIB_QT only -lqt-mt and LIB_KDECORE
      only -lkdecore
  * Add utils.mk to debian/rules to have list-missing target

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 26 Jun 2007 07:31:15 +0100

libkdcraw (0.1.1-1) experimental; urgency=low

  * New upstream release
    * new ABI major version - bump soname libkdcraw1

  [ Achim Bohnet ]
  * remove libkdcraw-runtime pkgs. The library helper application
    kdcraw is now in a libary private dir, as required by
    http://www.pathname.com/fhs/pub/fhs-2.3.html#USRLIBLIBRARIESFORPROGRAMMINGANDPA
  * adapt debian packaging files for ABI major version change from 0 -> 1
  * Build depends: add pkg-config. Used in tests of configure.

  [ Mark Purcell ]
  * Lintian cleanup: substvar-source-version-is-deprecated

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 14 Jun 2007 18:03:36 +0100

libkdcraw (0.1.0-2) unstable; urgency=low

  [ Mark Purcell ]
  * Add libkdcraw-runtime to package kdcraw runtime binary

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 20 May 2007 18:31:43 +0100

libkdcraw (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #411783: ITP: libkdcraw -- Raw picture
    decoding C++ library - Debian Bug report logs)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Wed, 09 May 2007 21:14:12 +0100

=== debian/control ===
Source: libkdcraw-trinity
Section: libs
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Achim Bohnet <ach@mpe.mpg.de>, Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt, kdelibs4-trinity-dev,
 liblcms1-dev, libjpeg-dev, pkg-config,
 automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://www.kipi-plugins.org/

Package: libkdcraw3-trinity-dev
Section: libdevel
Architecture: any
Replaces: libkdcraw3-kde3-dev (<< 4:3.5.13)
Breaks: libkdcraw3-kde3-dev (<< 4:3.5.13)
Depends: libkdcraw3-trinity (= ${binary:Version}), pkg-config
Conflicts: libkdcraw-dev
Description: RAW picture decoding C++ library (development) [Trinity]
 Libkdcraw is a C++ interface around dcraw binary program used to
 decode Raw picture files.
 .
 libkdcraw-dev contains development files and documentation. The
 library documentation is available on kdcraw.h header file.

Package: libkdcraw3-trinity
Section: libs
Architecture: any
Replaces: libkdcraw3-kde3 (<< 4:3.5.13)
Breaks: libkdcraw3-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}
Description: Raw picture decoding C++ library (runtime) [Trinity]
 C++ interface around dcraw binary program used to decode RAW
 picture files.
 .
 This library is used by kipi-plugins, digiKam and others kipi host programs.
 .
 libkdcraw3 contains the library of libkdcraw.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/debian-qt-kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--no-undefined -Wl,--as-needed"
DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

## libkdcraw-trinity 14.1.0

=== debian/changelog ===
libkdcraw-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Jan 2023 18:47:51 +0100

## libkdcraw-trinity 14.1.1

=== debian/changelog ===
libkdcraw-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 21 Oct 2023 23:41:29 +0200

## libkdcraw-trinity 14.1.2

=== debian/control ===
Source: libkdcraw-trinity
Section: libs
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Achim Bohnet <ach@mpe.mpg.de>, Fathi Boudra <fabo@debian.org>
Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
 liblcms2-dev | liblcms1-dev, libjpeg-dev, pkg-config,
 libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el] | libiomp-dev [amd64 arm64 armhf i386 mips64el ppc64el]
Standards-Version: 3.8.4
Homepage: http://www.kipi-plugins.org/

Package: libkdcraw3-trinity-dev
Section: libdevel
Architecture: any
Replaces: libkdcraw3-kde3-dev (<< 4:14.0.0~), libkdcraw3-trinity-dev (<< 4:14.0.0~)
Breaks: libkdcraw3-kde3-dev (<< 4:14.0.0~), libkdcraw3-trinity-dev (<< 4:14.0.0~)
Depends: libkdcraw3-trinity (= ${binary:Version}), ${lcms-dev}, pkg-config
Conflicts: libkdcraw-dev
Description: RAW picture decoding C++ library (development) [Trinity]
 Libkdcraw is a C++ interface around dcraw binary program used to
 decode Raw picture files.
 .
 libkdcraw-dev contains development files and documentation. The
 library documentation is available on kdcraw.h header file.

Package: libkdcraw3-trinity
Section: libs
Architecture: any
Replaces: libkdcraw3-kde3 (<< 4:14.0.0~), libkdcraw3-trinity (<< 4:14.0.0~)
Breaks: libkdcraw3-kde3 (<< 4:14.0.0~), libkdcraw3-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: Raw picture decoding C++ library (runtime) [Trinity]
 C++ interface around dcraw binary program used to decode RAW
 picture files.
 .
 This library is used by kipi-plugins, digiKam and others kipi host programs.
 .
 libkdcraw3 contains the library of libkdcraw.

## libkdcraw-trinity 14.1.3

=== debian/changelog ===
libkdcraw-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 13 Jul 2024 14:56:23 +0200

## libkdcraw-trinity 14.1.4

=== debian/changelog ===
libkdcraw-trinity (4:14.1.4-0raspbian12.0.0+0) raspbian-bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/debian-tde.mk

HAVE_OPENMP= $(if $(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/libomp*.so),ON,OFF)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_EXPORT_COMPILE_COMMANDS="ON" \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_ALL_OPTIONS="ON" \
 -DWITH_OPENMP="$(HAVE_OPENMP)"

# add installed liblcms*-dev to libkdcraw3-trinity-dev depends
common-binary-arch::
	(dpkg --get-selections "liblcms*-dev" | awk '{split($$1, p, ":"); lcms=lcms p[1] ","} END { print "lcms-dev=" lcms}' >>debian/libkdcraw3-trinity-dev.substvars)

## libkdcraw-trinity 14.1.5~pre0

=== debian/changelog ===
libkdcraw-trinity (4:14.1.5~pre0-0ubuntu24.10.0+3) oracular; urgency=low

  * Automated git build for 89f85a89ed3259deaf2990b8f612e967646519e8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/watch ===
version=3
http://sf.net/kipi/libkdcraw-(.*)\.tar\.bz2 debian svn-upgrade

## libkdcraw-trinity 14.1.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -30,11 +34,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== libkdcraw/libraw/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
  ${LCMS_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### raw (static)

tde_add_library( raw STATIC_PIC AUTOMOC

  SOURCES
        src/libraw_cxx.cpp
        src/libraw_c_api.cpp
        internal/dcraw_common.cpp
        internal/dcraw_fileio.cpp
        internal/foveon.cpp
  LINK
     ${LCMS_LIBRARIES}
     
)

=== libkdcraw/test/CMakeLists.txt ===
include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/libkdcraw/libraw
  ${CMAKE_SOURCE_DIR}/libkdcraw/libkdcraw
)

include_directories( SYSTEM
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)


##### test programs

tde_add_executable( raw2png AUTOMOC

  SOURCES
        raw2png.cpp
  LINK
     kdcraw-shared
)

tde_add_executable( identify AUTOMOC

  SOURCES
        ../libraw/samples/identify.cpp
  LINK
     raw-static
)

tde_add_executable( simple_dcraw AUTOMOC

  SOURCES
        ../libraw/samples/simple_dcraw.cpp
  LINK
     raw-static
)

tde_add_executable( mem_image AUTOMOC

  SOURCES
        ../libraw/samples/mem_image.cpp
  LINK
     raw-static
)

tde_add_executable( 4channels AUTOMOC

  SOURCES
        ../libraw/samples/4channels.cpp
  LINK
     raw-static
)

tde_add_executable( unprocessed_raw AUTOMOC

  SOURCES
        ../libraw/samples/unprocessed_raw.cpp
  LINK
     raw-static
)

tde_add_executable( dcraw_emu AUTOMOC

  SOURCES
        ../libraw/samples/dcraw_emu.cpp
  LINK
     raw-static
)

=== debian/changelog ===
libkdcraw-trinity (4:14.1.5-0ubuntu25.10.0+0) questing; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #!/usr/bin/make -f
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/cmake.mk
-include debian/cdbs/debian-tde.mk
+-include /usr/share/cdbs/1/class/tde.mk
 
 HAVE_OPENMP= $(if $(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/libomp*.so),ON,OFF)

## libkdcraw-trinity 14.1.6~pre2

=== debian/changelog ===
libkdcraw-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 45f6f7105d0cecb58be5b43a00fcade28a997be6
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 11 Nov 2025 12:31:41 +0100

## libkdcraw-trinity 14.1.6~pre3

=== debian/changelog ===
libkdcraw-trinity (4:14.1.6~pre3-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 21a03c5fd86c303424feb13e56cf4839217aaf69
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 06:41:13 +0100

## libkdcraw-trinity 14.2.0~pre21

=== debian/changelog ===
libkdcraw-trinity (4:14.2.0~pre21-0ubuntu25.10.0+7) questing; urgency=low

  * Automated git build for 6ee22b303e1ee6c1eec018877de2d64b15274aa8
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## libkdcraw-trinity 14.2.0~pre24

=== debian/changelog ===
libkdcraw-trinity (4:14.2.0~pre24-0ubuntu22.04.0+7) jammy; urgency=low

  * Automated git build for 4a949318b7a3279057101329445337be6b7640cb
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 11 Nov 2025 12:31:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Achim Bohnet <ach@mpe.mpg.de>, Fathi Boudra <fabo@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs14-trinity-dev,
  liblcms2-dev | liblcms1-dev, libjpeg-dev, pkg-config,
- libomp-dev [amd64 arm64 armhf i386 mips64el ppc64el] | libiomp-dev [amd64 arm64 armhf i386 mips64el ppc64el]
+ libomp-dev [amd64 arm64 armhf mips64el ppc64el riscv64]
 Standards-Version: 3.8.4
 Homepage: http://www.kipi-plugins.org/

## libkdcraw-trinity 14.2.0~pre25

=== debian/changelog ===
libkdcraw-trinity (4:14.2.0~pre25-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for fa49ababea14597a9fb9778fd64a8a3e5aba9142
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#libkdcraw

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:21:28 +0100
